<template>

    {{ articles }}

    <div class="flex">

        <div>
                
        <h1>{{ articles.titre }}</h1>

            <p> Date: {{ articles.date_article }}</p>
            <p> Nombre de vue : {{ articles.vue }}</p>

            <div > 
                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 1 ">
                    Categorie: Plat
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 2 ">
                    Categorie: Dessert
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 3 ">
                    Categorie: Dessert
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 4 ">
                    Categorie: Dessert
                </a>
                </router-link>
    
                <router-link to='/' active-class="active">
                    <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 5 ">
                        Categorie: Dessert
                    </a>
                </router-link>
            </div>        
        </div>


        </div>

        <div>
            <img :src="articles.photo" alt="">   
            <p>{{ articles.text  }}</p>
        </div>


</template>

<script setup lang="ts">
import type { Article } from '@/entities';
import { fetchIdArticles } from '@/service/article-service';
import { onMounted, ref } from 'vue';
import ArticleVue from './ArticleVue.vue';

const articles = ref<Article[]>([]);
onMounted(async()=>{
    articles.value = await fetchIdArticles(2);
    //id number = id article click
})

</script >


<style scoped>

h1{
    font-size: 50px;
}

img{
    width: 40%;
    height: 40vh;
    margin: 0 auto;
}

.flex{
    display: flex;
    justify-content: center;
    align-items: center;
    gap:20px;
}




</style>